using Hotline.CallCenter.Tels;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tr.Sdk
{
    public static class TrSdkStartupExtensions
    {
        public static IServiceCollection AddTrSdk(this IServiceCollection services, string baseUrl, string apiKey, string apiSecret)
        {
            services.AddSingleton<ITrClient, TrClient>(_ => new TrClient(baseUrl, apiKey, apiSecret));
            services.AddScoped<ICallTelClient, CallTelClient>();
            return services;
        }
    }
}
